| Home | Libraries | People | FAQ | More

###### http::message::message (14 of 14 overloads)

Construct a message.

###### Synopsis

    template<
        class... BodyArgs,
        class... FieldsArgs>
    message(
        std::piecewise_construct_t,
        std::tuple< BodyArgs... > body_args,
        std::tuple< FieldsArgs... > fields_args);

###### Parameters

Name | Description
--- | ---
`body_args` | A tuple forwarded as a parameter pack to the body constructor.
`fields_args` | A tuple forwarded as a parameter pack to the `Fields` constructor.